Bug 981141 - Title translation missing from translated Revision History
Title translation missing from translated Revision History
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On: 911462
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 02:21 EDT by Ruediger Landmann
Modified: 2013-07-09 03:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 911462
Environment:
Last Closed: 2013-07-04 02:22:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2013-07-04 02:21:19 EDT
+++ This bug was initially created as a clone of Bug #911462 +++

Description of problem:

1. The string "Revision History" is not being translated

2. The ID for the Revision_History file is lost (the English file begins <appendix id="appe-Publican-Revision_History">, the tmp/it-IT file begins <appendix>. If I try to build, the process fails.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

publican build --formats html --langs it-IT fails

Expected results:


Additional info:

--- Additional comment from Ruediger Landmann on 2013-04-25 22:03:12 EDT ---

Halfway there:

1. "Revision History" string is translated in Publican 3.1.5

2. but ID is still lost, which causes problems when xrefs link to the Revision History.

--- Additional comment from Jeff Fearn on 2013-04-25 22:07:30 EDT ---

(In reply to comment #1)
> Halfway there:
> 
> 1. "Revision History" string is translated in Publican 3.1.5
> 
> 2. but ID is still lost, which causes problems when xrefs link to the
> Revision History.

It's almost like having one bug for two issues allows things to get lost ... pokety poke poke.
Comment 2 Ruediger Landmann 2013-07-04 02:22:24 EDT
Title translation fixed in 3.1.5; splitting from other issue in earlier bug

Note You need to log in before you can comment on or make changes to this bug.